## Pagination

Pagination is a custom component to display a pagination number list

Total Pages
Pages At Once
Current Page
Show Next/Previous
Show First/Last
Show Jump To

### Import

    import {{'{'}}FuiPaginationModule{{'}'}} from 'fuel-ui'; //module
    import {{'{'}}Pagination{{'}'}} from 'fuel-ui'; //class

### Getting Started

Pagination is a custom element to show an interactive list of page numbers to use for paging

### Usage

<tabset>

    <pagination
        [(currentPage)]="currentPage"
        totalPages="10"
        pagesAtOnce="1"
        [showSelect]="true"
        [showEnds]="true"
        [showSteps]="false"
        (currentPageChange)="pageChange($event)">
    </pagination>

    export class PaginationExample {{'{'}}
        currentPage: number = 1;

        pageChange(page: number): void {{'{'}}
            console.log('New Page: ' + page);
        {{'}'}}
    {{'}'}}

</tabset>

### Attributes

Loading table...

### Events

Loading table...